Summary:	Filesystem in Userspace
Summary(pl.UTF-8):	System plików w przestrzeni użytkownika
Name:		libfuse
Version:	2.9.3
Release:	1
Epoch:		0
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/fuse/fuse-%{version}.tar.gz
# Source0-md5:	33cae22ca50311446400daf8a6255c6a
Source1:	fuse.conf
Patch0:		kernel-misc-fuse-Makefile.am.patch
URL:		http://fuse.sourceforge.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Provides:	group(fuse)
Suggests:	mount >= 2.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FUSE (Filesystem in Userspace) is a simple interface for userspace
programs to export a virtual filesystem to the Linux kernel. FUSE also
aims to provide a secure method for non privileged users to create and
mount their own filesystem implementations.

This package contains a shared library.

%description -l pl.UTF-8
FUSE stanowi prosty interfejs dla programów działających w przestrzeni
użytkownika eksportujący wirtualny system plików do jądra Linuksa.
FUSE ma również na celu udostępnienie bezpiecznej metody tworzenia i
montowania własnych implementacji systemów plików przez zwykłych
(nieuprzywilejowanych) użytkowników.

Ten pakiet zawiera bibliotekę współdzieloną.

%package devel
Summary:	Filesytem in Userspace - Development header files
Summary(pl.UTF-8):	System plików w przestrzeni użytkownika - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Libfuse library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libfuse.

%package static
Summary:	Filesytem in Userspace - static library
Summary(pl.UTF-8):	System plików w przestrzeni użytkownika - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libfuse libraries.

%description static -l pl.UTF-8
Statyczna biblioteka libfuse.

%prep
%setup -q -n fuse-%{version}
%patch0 -p1

sed -i '/FUSERMOUNT_PROG/s,fusermount,%{_bindir}/fusermount,' lib/mount.c

# gold is missing base versioning
install -d ld-dir
[ ! -x /usr/bin/ld.bfd ] || ln -sf /usr/bin/ld.bfd ld-dir/ld

%build
PATH=$(pwd)/ld-dir:$PATH
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	INIT_D_PATH=/etc/rc.d/init.d \
	--disable-silent-rules \
	--enable-lib \
	--enable-util

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib},%{_pkgconfigdir},%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/libfuse.so.* $RPM_BUILD_ROOT/%{_lib}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfuse.so
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib}; echo libfuse.so.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libfuse.so

install fuse.pc $RPM_BUILD_ROOT%{_pkgconfigdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

# part of default udev rules nowdays
rm $RPM_BUILD_ROOT/etc/udev/rules.d/99-fuse.rules

# not needed
rm $RPM_BUILD_ROOT/etc/rc.d/init.d/fuse

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 84 fuse

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS ChangeLog AUTHORS doc/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fuse.conf
%attr(4754,root,fuse) %{_bindir}/fusermount
%attr(755,root,root) %{_bindir}/ulockmgr_server
%attr(755,root,root) /sbin/mount.fuse
%attr(755,root,root) /%{_lib}/libfuse.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libfuse.so.2
%attr(755,root,root) %{_libdir}/libulockmgr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libulockmgr.so.1
%{_mandir}/man1/fusermount.1*
%{_mandir}/man1/ulockmgr_server.1*
%{_mandir}/man8/mount.fuse.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfuse.so
%attr(755,root,root) %{_libdir}/libulockmgr.so
%{_libdir}/libfuse.la
%{_libdir}/libulockmgr.la
%{_includedir}/fuse
%{_includedir}/fuse.h
%{_includedir}/ulockmgr.h
%{_pkgconfigdir}/fuse.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfuse.a
%{_libdir}/libulockmgr.a
%changelog
* Mon Sep 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfuse.git;a=log;h=master

* Mon Sep 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d95c15a
- up to 2.9.3

* Wed May 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 396f955
- rel 2; fix build

* Fri Oct 19 2012 Jakub Bogusz <qboosh@pld-linux.org> e459071
- updated to 2.9.2
- updated Makefile.am patch
- removed outdated link,clone patches

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> 6fe6dd7
- rel 2
- libfuse must be in /lib for /sbin/mount.ntfs

* Sat Sep 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 6e44c88
- updated to 2.8.6
- force ld.bfd as gold is missing symbol base versioning
- added clone patch (define _GNU_SOURCE to enable CLONE_NEWNS in sched.h)

* Fri Oct 29 2010 Jakub Bogusz <qboosh@pld-linux.org> e4d6462
- removed kernel stuff (no longer included in sources)

* Thu Oct 14 2010 Kacper Kornet <draenog@pld-linux.org> f4983df
- up to 2.8.5

* Wed Jun 09 2010 Kacper Kornet <draenog@pld-linux.org> 36b4656
- 2.8.4

* Tue Feb 02 2010 Kacper Kornet <draenog@pld-linux.org> d076a70
- up to 2.8.3

* Thu Jan 28 2010 amateja <amateja@pld-linux.org> 185396c
- updated to 2.8.2

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> 10eda4b
- BuildRoot capitalization

* Sat Dec 19 2009 areq <areq@pld-linux.org> fddcf2e
- 2.8.1

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> e868be4
- BR: gettext-devel

* Mon Sep 07 2009 areq <areq@pld-linux.org> 37e1746
- 2.8.0

* Mon Sep 07 2009 areq <areq@pld-linux.org> 986d7da
- 2.8.0

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> a668917
- updated to 2.7.4

* Fri Apr 18 2008 Jakub Bogusz <qboosh@pld-linux.org> a270b1b
- groupadd exits successfully if group exists

* Fri Apr 18 2008 Jakub Bogusz <qboosh@pld-linux.org> cefe4f9
- simple postun

* Fri Apr 18 2008 Paweł Gołaszewski <blues@pld-linux.org> 6e29bdf
- revert - it creates fuse group...

* Fri Apr 18 2008 Paweł Gołaszewski <blues@pld-linux.org> e3eb877
- don't provide fuse group

